1

When I type:

sudo apt-get install emacs

It gives me multiple errors, such as:

Err http://mirrordirector.raspbian.org/raspbian/ jessie/main imagemagick-common all 8:6.8.9.9-5+deb8u2 404 Not Found [IP: 5.153.225.207 80]

and

E: Failed to fetch http://mirrordirector.raspbian.org/raspbian/pool/main/i/imagemagick/libmagickwand-6.q16-2_6.8.9.9-5+deb8u2_armhf.deb 404 Not Found [IP: 5.153.225.207 80]

Finally, at the bottom it tells me

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Even after I use the sudo apt-get upgradecommand

I'm stuck... is there anything I can do?

  • If you have a gui running, check http://5.153.225.207/ in a browser (if not, you could install wget and try that way); it seems to be running to me. Also try ping 5.153.225.207. That should also work. – goldilocks Jul 4 '16 at 15:44
  • 1
    Interesting. This doesn't seem to be your fault - the directory you've listed doesn't contain the file you're looking for (libmagickwand-6.q16-2_6.8.9.9-5+deb8u2_armhf.deb). It does contain libmagickwand-6.q16-2_6.8.9.9-5+deb8u3_armhf.deb (note: deb8u2/deb8u3). In addition to trying apt-get upgrade, have you also updated using sudo apt-get update? – goobering Jul 4 '16 at 15:45
  • That makes sense. Imagemagick recently had a nasty security flaw found in it and so older versions were probably pulled from the repos; if you have not run update your local database will be unaware of those changes. – goldilocks Jul 4 '16 at 16:24

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.